## org.apache.batik.bridge
Class DefaultExternalResourceSecurity

    java.lang.Object
      org.apache.batik.bridge.DefaultExternalResourceSecurity

All Implemented Interfaces:
  ExternalResourceSecurity

public class DefaultExternalResourceSecurity
extends java.lang.Object
implements ExternalResourceSecurity

Default implementation for the `ExternalResourceSecurity` interface. It allows all types of external resources to be loaded, but only if they come from the same server as the document they are referenced from.

Field Summary
`static java.lang.String` `DATA_PROTOCOL`
`static java.lang.String` `ERROR_CANNOT_ACCESS_DOCUMENT_URL` Message when trying to load a external resource file and the Document does not have a URL
`static java.lang.String` `ERROR_EXTERNAL_RESOURCE_FROM_DIFFERENT_URL` Message when trying to load a externalResource file from a server different than the one of the document.
`protected java.lang.SecurityException` `se` The exception is built in the constructor and thrown if not null and the checkLoadExternalResource method is called.

Constructor Summary
`DefaultExternalResourceSecurity(ParsedURL externalResourceURL, ParsedURL docURL)`

Method Summary
`void` `checkLoadExternalResource()` Controls whether the externalResource should be loaded or not.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATA_PROTOCOL

    public static final java.lang.String DATA_PROTOCOL

See Also:
  Constant Field Values

### ERROR_CANNOT_ACCESS_DOCUMENT_URL

    public static final java.lang.String ERROR_CANNOT_ACCESS_DOCUMENT_URL

  Message when trying to load a external resource file and the Document does not have a URL

  See Also:
    Constant Field Values

### ERROR_EXTERNAL_RESOURCE_FROM_DIFFERENT_URL

    public static final java.lang.String ERROR_EXTERNAL_RESOURCE_FROM_DIFFERENT_URL

  Message when trying to load a externalResource file from a server different than the one of the document.

  See Also:
    Constant Field Values

### se

    protected java.lang.SecurityException se

  The exception is built in the constructor and thrown if not null and the checkLoadExternalResource method is called.

Constructor Detail

### DefaultExternalResourceSecurity

    public DefaultExternalResourceSecurity(ParsedURL externalResourceURL,
                                           ParsedURL docURL)

Parameters:
  `externalResourceURL` - url for the externalResource, as defined in the externalResource's xlink:href attribute. If that attribute was empty, then this parameter should be null
  `docURL` - url for the document into which the externalResource was found.

Method Detail

### checkLoadExternalResource

    public void checkLoadExternalResource()

  Controls whether the externalResource should be loaded or not.

  Specified by:
    `checkLoadExternalResource` in interface `ExternalResourceSecurity`
  Throws:
    `java.lang.SecurityException` - if the externalResource should not be loaded.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.